> ## Documentation Index
> Fetch the complete documentation index at: https://gnosispay-feat-v2-auth-module.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Email Verification

> Send a one-time password to the specified email address



## OpenAPI

````yaml https://core.prod.gnosispay.com/user-api/openapi.json post /email-verification
openapi: 3.1.0
info:
  title: User Service
  version: 0.0.0
servers: []
security: []
tags:
  - name: Health
  - name: Auth
  - name: User
  - name: Cards
  - name: Phone
  - name: PCI
  - name: Terms
  - name: Source of Funds
paths:
  /email-verification:
    post:
      tags:
        - Auth
      summary: Request Email Verification
      description: Send a one-time password to the specified email address
      operationId: EmailVerification_request
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestEmailVerificationRequest'
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestEmailVerificationSuccess'
        '400':
          description: Validation failure on email-verification.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmailVerificationValidationError'
        '401':
          description: Access is unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestEmailVerificationUnauthorized'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestEmailVerificationInternalError'
        '503':
          description: Service unavailable.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RequestEmailVerificationServiceUnavailable
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - BearerAuth: []
components:
  schemas:
    RequestEmailVerificationRequest:
      type: object
      required:
        - email
      properties:
        email:
          type: string
          format: email
    RequestEmailVerificationSuccess:
      type: object
      required:
        - ok
      properties:
        ok:
          type: boolean
          enum:
            - true
    EmailVerificationValidationError:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          $ref: '#/components/schemas/ValidationErrorDetail'
      description: Validation failure on email-verification.
    RequestEmailVerificationUnauthorized:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    RequestEmailVerificationInternalError:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    RequestEmailVerificationServiceUnavailable:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    Error:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    ValidationErrorDetail:
      type: object
      required:
        - name
        - message
      properties:
        name:
          type: string
          enum:
            - ValidationError
        message:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: Bearer

````